Panda3D

Public Types | Public Member Functions | List of all members
NodePointerToBase< T > Class Template Reference

This is similar to PointerToBase, but it manages objects of type NodeReferenceCount or NodeCachedReferenceCount, and it updates the node_ref_count instead of the regular ref_count. More...

`#include "nodePointerToBase.h"`

Inheritance diagram for NodePointerToBase< T >:

## Public Types
typedef T | To

## Public Member Functions
void | clear ()
| A convenient way to set the NodePointerTo object to NULL. More...
void | output (std::ostream &out) const
| A handy function to output NodePointerTo's as a hex pointer followed by a reference count. More...
Public Member Functions inherited from PointerToVoid
size_t | get_hash () const
constexpr bool | is_null () const
| Returns true if the PointerTo is a NULL pointer, false otherwise. More...
bool | operator!= (const PointerToVoid &other) const
bool | operator< (const PointerToVoid &other) const
bool | operator< (const void *other) const
bool | operator== (const PointerToVoid &other) const
void | swap (PointerToVoid &other) noexcept
| Swaps the contents of this PointerTo with the other, without touching the reference counts. More...
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Detailed Description

### template<class T>
class NodePointerToBase< T >

This is similar to PointerToBase, but it manages objects of type NodeReferenceCount or NodeCachedReferenceCount, and it updates the node_ref_count instead of the regular ref_count.

It is intended for use only in PandaNode, to hold a pointer to RenderState and TransformState, although it could be used by any object that wanted to maintain a separate reference count for reporting purposes.

Definition at line 31 of file nodePointerToBase.h.

## Member Function Documentation

## ◆ clear()

template<class T >

void NodePointerToBase< T >::clear
| inline

A convenient way to set the NodePointerTo object to NULL.

(Assignment to a NULL pointer also works, of course.)

Definition at line 126 of file nodePointerToBase.I.

## ◆ output()

template<class T >

void NodePointerToBase< T >::output | ( | std::ostream & | out | ) | const
| inline

A handy function to output NodePointerTo's as a hex pointer followed by a reference count.

Definition at line 136 of file nodePointerToBase.I.

The documentation for this class was generated from the following files:

- panda/src/express/nodePointerToBase.h
- panda/src/express/nodePointerToBase.I